Subject: Re: Problems exporting my DLL functions...
From: "Gerrit P. Haase" <[email-masked]>
To: Lostmind <[email-masked]>
Cc: [email-masked]
Date: Tue, 20 Aug 2002 14:31:42 +0200

Hallo Lostmind,

Am Sonntag, 18. August 2002 um 07:43 schriebst du:

>> >  Ok, what I want is to write a simple DLL...
>> <snip>
>> 
>> As I have discovered, the instructions in the FAQ et al are HORRIBLY out
>> of date, due to General Meanness (TM).
>> 
>> gcc now has a '-shared' flag that makes DLL creation much easier.
>> Invoke it like so:
>> 
>>   gcc -o mydll.dll -shared file1.o file2.o file3.o
>> 

> First, thanx for your answer...
> but it says:
> gcc: unrecognized option `-shared' ...maybe my version is too old - I
> will look for a newer version today!

You'll need the latest version of binutils since -shared is a command
for the linker.  Though updating GCC cannot harm if you use an older
version.

> But I don't really understand the "-shared" flag - perhaps because i do
> not know very much about the compiler. I have only one file (khook.c) i
> want to compile to a dll... that would be my file1.o (khook.o)?!?

gcc -o khook.o -c khook.o
gcc -shared -o mydll.dll khook.o

> But what are file2.o and file2.o in this case - from where do they come
> where do they go ? :-)

Other files for your DLL if you want to include others too.

> And what parameters do I need for the dlltool after that?

dlltool is deprecated, you don't need it, its all done by GCC and the
linker.

Gerrit
-- 
"All faults& bugs are mine - Robert"
    from squid/acinclude.m4,   Sun Apr 21 05:21:21 2002

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/